# MumbleServer::ACL

## Overview

### struct ACL

Access Control List for a channel. ACLs are defined per channel, and can be inherited from parent channels.

#### Used By

ACLList

## Data Member Index

applyHere
  Does the ACL apply to this channel?
applySubs
  Does the ACL apply to subchannels?
inherited
  Is this ACL inherited from a parent channel? Read-only.
userid
  ID of user this ACL applies to.
group
  Group this ACL applies to.
allow
  Binary mask of privileges to allow.
deny
  Binary mask of privileges to deny.

## Data Members

bool applyHere;

  Does the ACL apply to this channel?

bool applySubs;

  Does the ACL apply to subchannels?

bool inherited;

  Is this ACL inherited from a parent channel? Read-only.

int userid;

  ID of user this ACL applies to. -1 if using a group name.

string group;

  Group this ACL applies to. Blank if using userid.

int allow;

  Binary mask of privileges to allow.

int deny;

  Binary mask of privileges to deny.